curl --request POST \
--url https://{cluster}.voucherify.io/management/v1/projects/{projectId}/users \
--header 'Content-Type: application/json' \
--header 'X-Management-Id: <api-key>' \
--header 'X-Management-Token: <api-key>' \
--data '
{
"role": "<string>",
"id": "<string>",
"login": "<string>"
}
'{
"id": "user_FgEAjOV6RiObJdy36sYynXdqZNiA5gjM",
"login": "name@youremaildomain.com",
"email": "name@youremaildomain.com",
"first_name": "Sammy",
"last_name": "Jones",
"projects": {
"proj_9KeAhZB1": "USER",
"proj_npnFzPr9": "USER",
"proj_pEP3NO9s": "USER",
"proj_zsPdrUIw": "ADMIN"
},
"is_owner": false
}Assign User
Assigns a user to a given project. The user must be an existing user in Voucherify.
🚧 Correct Use of Data
To avoid errors, use the
"role"key with either"id"or"login"keys.
curl --request POST \
--url https://{cluster}.voucherify.io/management/v1/projects/{projectId}/users \
--header 'Content-Type: application/json' \
--header 'X-Management-Id: <api-key>' \
--header 'X-Management-Token: <api-key>' \
--data '
{
"role": "<string>",
"id": "<string>",
"login": "<string>"
}
'{
"id": "user_FgEAjOV6RiObJdy36sYynXdqZNiA5gjM",
"login": "name@youremaildomain.com",
"email": "name@youremaildomain.com",
"first_name": "Sammy",
"last_name": "Jones",
"projects": {
"proj_9KeAhZB1": "USER",
"proj_npnFzPr9": "USER",
"proj_pEP3NO9s": "USER",
"proj_zsPdrUIw": "ADMIN"
},
"is_owner": false
}Documentation Index
Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
Use this file to discover all available pages before exploring further.
Path Parameters
Provide the unique identifier of the project.
"proj_TrlkLiH4"
Body
Defines the user details.
The role of the user to be added. It can be one of the following predefined roles:
ADMIN, USER, VIEWER, MERCHANT,
or an ID of a custom role.
The unique identifier of the user who will be assigned to the project. It can be found in Team Settings > Team > Edit member. Required with the role string.
Do not use with the login string.
The login data of the user who will be assigned to the project. Required with the role string.
Do not use with the id string.
Response
Returns the details about the user assigned to the project.
Details about the user assigned to the project.
The unique identifier of the user who has been assigned to the project.
The login data of the user who has been assigned to the project.
The email address of the user who has been assigned to the project.
The first name of the user who has been assigned to the project.
The last name of the user who has been assigned to the project.
Lists key-value pairs, where the key is the project to which the user is assigned. The value is the role assigned in a given project. The predefined Voucherify roles are: ADMIN, USER, VIEWER, MERCHANT, USER_RESTRICTED (for the Areas and Stores, an Enterprise feature).
Show child attributes
Show child attributes
Determines if the user is the owner for the organization in Voucherify.
Was this page helpful?

